# simple.http
> 🔥 简单的http服务器, 方便临时调试html。

[![Version](https://img.shields.io/visual-studio-marketplace/v/yutent.simple-http)](https://marketplace.visualstudio.com/items?itemName=yutent.simple-http)
[![Rating](https://img.shields.io/visual-studio-marketplace/r/yutent.simple-http)](https://marketplace.visualstudio.com/items?itemName=yutent.simple-http)
[![Downloads](https://img.shields.io/visual-studio-marketplace/d/yutent.simple-http)](https://marketplace.visualstudio.com/items?itemName=yutent.simple-http)
[![Installs](https://img.shields.io/visual-studio-marketplace/i/yutent.simple-http)](https://marketplace.visualstudio.com/items?itemName=yutent.simple-http)

## 插件说明
> 这插件只是因为`Live Server插件`有bug,应一个基友需求临时写的。如果你有其他的功能需求, 请在插件商店中`搜索其他插件`。


## 插件特色
- 支持指定子目录为根目录
- 支持前端`history`路由
- 自动指定端口(端口不可用时自动寻找其他可用端口)
- 支持注入`headers`,满足某些测试场景下的测试需求
- 支持简单的热更新


## 插件使用
> 在项目根目录中放置 `.httpserver`文件, 并配置好之后, 重启或重新加载窗口, 以启动服务。


## 插件通用配置
> 通用配置可以设置`domain`,`key`,`cert`3个字段, 可省的每个项目配置一次。通用配置优先级低于项目的配置。

## .httpserver 文件
> 使用`.httpserver`来配置web服务器信息, 该文件应为一个json格式的。

```json
{
  "enabled": true,  // 这里配置为 true 才会启动web服务
  "port": 23333, // 【可选】  默认使用 23333 端口, 如果被使用了, 会向上查找可用端口
  "https": true, // 【可选】 是否使用https
  "http2": true, // 【可选】 是否使用http2, 等价于https, 用哪个都可以
  "domain" "", // 【可选】有域名, 就会用域名打开页面, 没有就用IP
  "key": "",  // 【可选】域名证书的绝对路径(仅当开启https/2时需要)
  "cert": "", // 【可选】域名证书的绝对路径(仅当开启https/2时需要)
  "root": ".", // 【可选】 web服务的根目录, 默认为当前项目的根目录, 可填写相对项目根目录的路径。
  "headers": {  // 【可选】支持注入一些头信息, 方便特殊需要的调试
    "cache-control": "no-store" //  默认为 no-store
    ...
  }
}
```
